Subject: Re: bug#25969: guix-patches debbugs appears to mangle patches

From: [email-masked] (Ludovic Courtès)
Date: Mon, 06 Mar 2017 11:16:09 +0100

Hello!

Leo Famulari <[email-masked]> skribis:

> The guix-patches debbugs thing causes a regression in this workflow by
> rewriting the commit messages to include the debbugs ticket number.
>
> So, a commit that begins with this:
>
> gnu: gitolite: Fix shebangs in hooks.
>
> ... becomes this:
>
> bug#25966: [PATCH 2/2] gnu: gitolite: Fix shebangs in hooks.
>
> Am I missing something, or is debbugs really rewriting the patches?

Good question.  Maybe Glenn and others at help-debbugs have an idea?

Thanks,
Ludo’.